| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
ioapi.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include "ioapi.h"`
Include dependency graph for ioapi.c:

## Classes
struct | FILE_IOPOSIX

## Macros
#define | _LARGEFILE_SOURCE

## Functions
voidpf | call_zopen64 (const zlib_filefunc64_32_def *pfilefunc, const void *filename, int mode)
voidpf | call_zopendisk64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream, uint32_t number_disk, int mode)
long | call_zseek64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream, uint64_t offset, int origin)
uint64_t | call_ztell64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream)
void | fill_zlib_filefunc64_32_def_from_filefunc32 (zlib_filefunc64_32_def *p_filefunc64_32, const zlib_filefunc_def *p_filefunc32)
void | fill_fopen_filefunc (zlib_filefunc_def *pzlib_filefunc_def)
void | fill_fopen64_filefunc (zlib_filefunc64_def *pzlib_filefunc_def)

## Macro Definition Documentation

## ◆ _LARGEFILE_SOURCE

#define _LARGEFILE_SOURCE

## Function Documentation

## ◆ call_zopen64()

voidpf call_zopen64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | const void * | filename,
|  | int | mode
| ) |  |

## ◆ call_zopendisk64()

voidpf call_zopendisk64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream,
|  | uint32_t | number_disk,
|  | int | mode
| ) |  |

## ◆ call_zseek64()

long call_zseek64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream,
|  | uint64_t | offset,
|  | int | origin
| ) |  |

## ◆ call_ztell64()

uint64_t call_ztell64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream
| ) |  |

## ◆ fill_fopen64_filefunc()

void fill_fopen64_filefunc | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

## ◆ fill_fopen_filefunc()

void fill_fopen_filefunc | ( | zlib_filefunc_def * | pzlib_filefunc_def | ) |

## ◆ fill_zlib_filefunc64_32_def_from_filefunc32()

void fill_zlib_filefunc64_32_def_from_filefunc32 | ( | zlib_filefunc64_32_def * | p_filefunc64_32,
|  | const zlib_filefunc_def * | p_filefunc32
| ) |  |